Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.config
Class ChannelActionClass

    java.lang.Object
      org.esupportail.portal.channels.CStockage.config.ChannelActionClass

public class ChannelActionClass
extends java.lang.Object

Id: ChannelActionClass.java,v 1.0 23 nov. 2004 Copyright (c) 2004 Esup Portail (www.esup-portail.org) Classes: ChannelActionClass Original Author: Yohan Colmant Use to set in the config file the type of channel action

Field Summary
`private java.lang.String` | `actionClass` The action class
`private java.lang.String` | `actionType` The action type

Constructor Summary
`ChannelActionClass()`

Method Summary
`java.lang.String` | `getActionClass()`
`java.lang.String` | `getActionType()`
`void` | `setActionClass(java.lang.String actionClass)`
`void` | `setActionType(java.lang.String actionType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### actionType

    private java.lang.String actionType

  The action type

### actionClass

    private java.lang.String actionClass

  The action class

Constructor Detail

### ChannelActionClass

    public ChannelActionClass()

Method Detail

### getActionClass

    public java.lang.String getActionClass()

  Returns:
    Returns the actionClass.

### setActionClass

    public void setActionClass(java.lang.String actionClass)

  Parameters:
    `actionClass` - The actionClass to set.

### getActionType

    public java.lang.String getActionType()

  Returns:
    Returns the actionType.

### setActionType

    public void setActionType(java.lang.String actionType)

  Parameters:
    `actionType` - The actionType to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD